# Add project specific ProGuard rules here.
# You can control the set of applied configuration files using the
# proguardFiles setting in build.gradle.
#
# For more details, see
#   http://developer.android.com/guide/developing/tools/proguard.html

# If your project uses WebView with JS, uncomment the following
# and specify the fully qualified class name to the JavaScript interface
# class:
#-keepclassmembers class fqcn.of.javascript.interface.for.webview {
#   public *;
#}

# Uncomment this to preserve the line number information for
# debugging stack traces.
#-keepattributes SourceFile,LineNumberTable

# If you keep the line number information, uncomment this to
# hide the original source file name.
#-renamesourcefileattribute SourceFile

-optimizations code/simplification/arithmetic,code/simplification/cast,field/*,class/merging/*


# Uncomment this to preserve the line number information for
# debugging stack traces.
-keepattributes SourceFile,LineNumberTable

# If you keep the line number information, uncomment this to
# hide the original source file name.
#-renamesourcefileattribute SourceFile
-dontobfuscate

#kotlinx serialization , see https://github.com/Kotlin/kotlinx.serialization#androidjvm
-keepattributes *Annotation*, InnerClasses
-dontnote kotlinx.serialization.SerializationKt
-keep,includedescriptorclasses class dk.nsp.mingraviditet.api.**$$serializer { *; }
-keepclassmembers class dk.nsp.mingraviditet.api.** {
    *** Companion;
}
-keepclasseswithmembers class dk.nsp.mingraviditet.api.** {
    kotlinx.serialization.KSerializer serializer(...);
}

-keepclasseswithmembers class dk.nsp.mingraviditet.ui.useradmission.login.** {
    ** Companion;
}

-keep,includedescriptorclasses class dk.nsp.mingraviditet.auth.keyserver.models.**$$serializer { *; }


-keepclassmembers class dk.nsp.mingraviditet.ui.useradmission.login.** {
    kotlinx.serialization.KSerializer serializer(...);
}

-keepclasseswithmembers class dk.nsp.mingraviditet.auth.keyserver.models.** {
    kotlinx.serialization.KSerializer serializer(...);
}
